BARMAN-LIST-FILES(1)

NAME
barman-list-files - Barman Sub-Commands

SYNOPSIS

    list-files
        [ { -h | --help } ]
        [ --target { data | full | standalone | wal } ]
        [ --list-empty-directories ]
        SERVER_NAME BACKUP_ID

DESCRIPTION

List all files in a specific backup. You can use a shortcut instead of BACKUP_ID.

PARAMETERS

SERVER_NAME
    Name of the server in barman node

BACKUP_ID
    Id of the backup in barman catalog.

-h / --help
    Show a help message and exit. Provides information about command usage.

--target
    Define specific files to be listed. The possible values are:

•   standalone (default): List the base backup files, including required WAL files.

•   data: List just the data files.

•   wal: List all the WAL files between the start of the base backup and the end of the log or the start of the following base backup (depending on whether the specified base backup is the most recent one available).

•   full: same as data + wal.

--list-empty-directories
    Add empty directories to the listing.

SHORTCUTS

Use shortcuts instead of BACKUP_ID.
Shortcut | Description
first/oldest | Oldest available backup for the server, in chronological order.
last/latest | Most recent available backup for the server, in chronological order.
last-full/latest-full | Most recent full backup taken with methods rsync or postgres.
last-failed | Most recent backup that failed, in chronological order.

Author
EnterpriseDB

Copyright
© Copyright EnterpriseDB UK Limited 2011-2026